RequestEntity (HttpClient Library (Version 3.1))
Date: 2019-01-01

org.apache.commons.httpclient.methods

## Interface RequestEntity

- All Known Implementing Classes:
    ByteArrayRequestEntity, FileRequestEntity, InputStreamRequestEntity, MultipartRequestEntity, StringRequestEntity

      public interface RequestEntity

  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getContentLength()` Gets the request entity's length.
    `java.lang.String` | `getContentType()` Gets the entity's content type.
    `boolean` | `isRepeatable()` Tests if `writeRequest(OutputStream)` can be called more than once.
    `void` | `writeRequest(java.io.OutputStream out)` Writes the request entity to the given stream.

- - ### Method Detail

    - #### isRepeatable

          boolean isRepeatable()

      Tests if `writeRequest(OutputStream)` can be called more than once.
      Returns:
        `true` if the entity can be written to `OutputStream` more than once, `false` otherwise.

    - #### writeRequest

          void writeRequest(java.io.OutputStream out)
                     throws java.io.IOException

      Writes the request entity to the given stream.
      Parameters:
        `out` -
      Throws:
        `java.io.IOException`

    - #### getContentLength

          long getContentLength()

      Gets the request entity's length. This method should return a non-negative value if the content length is known or a negative value if it is not. In the latter case the `EntityEnclosingMethod` will use chunk encoding to transmit the request entity.
      Returns:
        a non-negative value when content length is known or a negative value when content length is not known

    - #### getContentType

          java.lang.String getContentType()

      Gets the entity's content type. This content type will be used as the value for the "Content-Type" header.
      Returns:
        the entity's content type
      See Also:
        `HttpMethod.setRequestHeader(String, String)`

Copyright (c) 1999-2005 - Apache Software Foundation